import click
import sys
import yaml
from mpm.config import Dumper

@click.group(help='Configure MPM')
def config():
    pass

@config.command(help='Show the current configuration')
@click.pass_context
def show(ctx):
    sys.stdout.write("# {}\n".format(ctx.obj['config'].path))
    yaml.dump(ctx.obj['config'].config, sys.stdout, Dumper=Dumper)
