from . import server, repo, config
from mpm.config import Config
import click

@click.group()
@click.option("--config", type=click.Path(readable=True, writable=False,
                                          dir_okay=False))
@click.pass_context
def mpm(ctx, config):
    ctx.ensure_object(dict)
    ctx.obj['config'] = Config(config)
    pass

mpm.add_command(config.config)
mpm.add_command(server.server)
mpm.add_command(repo.repo)
